Group: Sound
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pname abGate
Name:           lv2-abGate
Version:        1.2.0
Release:        alt1_8
Summary:        An LV2 Noise Gate

License:        GPLv3+
URL:            https://abgate.sourceforge.io/
Source0:        https://github.com/antanasbruzas/%{pname}/archive/v%{version}.tar.gz#/%{pname}-%{version}.tar.gz
Patch0:         Makefile.patch
# Patch backported from upstream https://github.com/antanasbruzas/abGate/commit/32131d50babf380e5e8f4f0bd226272df201d55a
Patch1:         %{name}-gate-ttl.patch

BuildRequires:  gcc-c++
BuildRequires:  lv2-devel >= 1.8.1
BuildRequires:  libgtkmm2-devel
Requires:       lv2 >= 1.8.1
Source44: import.info

%description
A Noise Gate plugin 

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1
%patch1 -p1


# Do not build Qt5 GUI for now
rm -rf abGateQt

# Fix plugin path
sed -i -e "s|/usr/lib/lv2|%{_libdir}/lv2|g" plugin_configuration.h

%build

%make_build PREFIX=%{_prefix}

%install
%makeinstall_std PREFIX=%{_prefix} INSTALL_DIR=%{buildroot}/%{_libdir}/lv2

%files
%doc README.md
%doc --no-dereference LICENSE
%{_libdir}/lv2/%{pname}.lv2


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt1_8
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt1_6
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt1_5
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt1_4
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt1_3
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt1_2
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt1_1
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.1.9-alt1_3
- update to new release by fcimport

* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 1.1.9-alt1_2
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.3-alt2_20
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.3-alt2_19
- update to new release by fcimport

* Fri Jun 08 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.3-alt2_18
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.1.3-alt2_17
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.1.3-alt2_15
- update to new release by fcimport

* Sun Sep 20 2015 Cronbuild Service <cronbuild@altlinux.org> 1.1.3-alt2_11
- rebuild to get rid of unmets

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.1.3-alt1_11
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 1.1.3-alt1_10
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.3-alt1_9
- update to new release by fcimport

* Tue Mar 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.3-alt1_8
- fc import

